> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/generator-api-reference/generator-api-ref-passthrough.md).

# Passthrough (PassthroughGenerator)

The [Passthrough](/app/generation/generators/generator-reference/passthrough.md) generator is the default. It passes through the value from the source database to the destination database without masking it.

You do not usually retrieve or provide a replacement that assigns the Passthrough generator to a column. You might specifically assign the Passthrough as a sub-generator for a [composite generator](/app/generation/generators/generator-types/generators-composite.md).

When you use the [<mark style="background-color:blue;">**GET**</mark>**&#x20;api/Workspace/{workspace ID}/replacements/{schema}/{table}**](https://app.tonic.ai/apidocs/index.html#/Workspace/GetReplacementsForTable) to get the column configuration for a table, columns that are assigned Passthrough are not included in the results.

For the [<mark style="background-color:orange;">**PUT**</mark>**&#x20;/api/Workspace/{workspaceId}/update\_replacements/{schema}/{table}**](https://app.tonic.ai/apidocs/index.html#/Workspace/UpdateTableReplacements) endpoint, which replaces the configuration for an entire table, any column that is not included in the message body is automatically assigned Passthrough.

To revert an individual column to Passthrough, you use the [<mark style="background-color:red;">**DELETE**</mark>**&#x20;api/Workspace/{workspace ID}/replacement/{replacement ID}**](https://app.tonic.ai/apidocs/index.html#/Workspace/DeleteReplacementFromTable) endpoint to remove the replacement that contains the column configuration.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/generator-api-reference/generator-api-ref-passthrough.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
